View Issue Details

IDProjectCategoryView StatusLast Update
0003069Ham Radio DeluxeBugpublic2019-02-24 15:12
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.5.0.183 
Target VersionFixed in Version6.5.0.196 
Summary0003069: Kiss mode setting should be removed
DescriptionThe applications feature a global "kiss mode" setting. Beyond the awkward name, it's an undocumented and thinly implemented feature that enables or disables certain UI features.

Looks like it controls:

Visibility of some sound card configuration features in DM780
Visibility of some columns in the DXCluster window
disables "Check DXCC update" feature in the DXCluster
disables "excel bar" and "awards verify" feature in the Awards frame
disables some features in the "Country view" in the logbook

Maybe there are more things controlled. Maybe there are fewer, as some of these settings might be invisible, overridden, etc ... I did not do an exhaustive evaluation.

I strongly advocate for the removal of this feature. The simplifications aren't worth the trouble and the cobinitorial testing they require. Only some modes are implemented, and no information is given to the user (at all!) about what features might be enabled or disabled in the product depending on the different settings. Really, the feature is a liability, and an indication of terrible UI design and UX management.
Steps To Reproduce1) Start up the logbook
2) Use the "HRD Global Settings" command in the "Tools" menu
3) In the resulting "Global settings for YourCallSign" dialog, mark the "Mode" icon in list of icons on the left-hand side

BUG#1) There's a range of five settinsg from "(Basic) KISS" to "Advanced" with no specific description of what they do. The user is given a grand promise that the setting "makes operation of the HRD suite much less complicated".

If there are complications in the operation of the suite, these issues should be addressed individually and directly, not optionally hidden.

TagsNo tags attached.
ModuleAll
Sub-ModuleAppearance/UI
Testing Beta Successful

Activities

K7ZCZ

2019-01-17 13:11

administrator   ~0007022

This checkin removes KISS mode:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4733

WA9PIE

2019-01-21 02:39

administrator   ~0007053

BRAVO! Finally we're rid of this.

Validated.

Issue History

Date Modified Username Field Change
2019-01-17 10:54 K7ZCZ New Issue
2019-01-17 13:11 K7ZCZ Assigned To => K7ZCZ
2019-01-17 13:11 K7ZCZ Status new => resolved
2019-01-17 13:11 K7ZCZ Resolution open => fixed
2019-01-17 13:11 K7ZCZ Note Added: 0007022
2019-01-19 10:11 K7ZCZ Fixed in Version => 6.5.0.184
2019-01-21 02:39 WA9PIE Status resolved => closed
2019-01-21 02:39 WA9PIE Fixed in Version 6.5.0.184 => 6.5.0.187
2019-01-21 02:39 WA9PIE Description Updated View Revisions
2019-01-21 02:39 WA9PIE Steps to Reproduce Updated View Revisions
2019-01-21 02:39 WA9PIE Testing Not Started => Beta Successful
2019-01-21 02:39 WA9PIE Note Added: 0007053
2019-02-24 14:40 WA9PIE Fixed in Version 6.5.0.187 => 6.5.0.196
2019-02-24 15:12 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe